-- Resolve ARGS.auth[server] to an IP and set to TX.adminer_server_ip
socket = require("socket")
function main()
  auth_server = m.getvar("ARGS.auth[server]", "lowercase")
  adminer_server_ip, _ = socket.dns.toip(auth_server)
  if adminer_server_ip == nil then
    err = "Error resolving ARGS.auth[server]"
    m.setvar("TX.adminer_server_ip", err)
    return err
  else
    m.setvar("TX.adminer_server_ip", adminer_server_ip)
    return "TX.adminer_server_ip set to " .. adminer_server_ip
  end
end

main()
